Name: python-pyvips
Version: 2.2.2
Release: 1%{?dist}
Summary: Python binding for the libvips image processing library
License: MIT
URL: https://github.com/libvips/pyvips
Source0: https://github.com/libvips/pyvips/archive/refs/tags/v%{version}.tar.gz

# pyperf isn't available in Fedora, and is not needed for running tox.
# Disable it as a dependency.
# Revisit this patch after https://github.com/libvips/pyvips/pull/445
# is landed, since it might be unnecessary then.
Patch0: pyvips-disable-pyperf.patch

BuildRequires: gcc
BuildRequires: python3-devel
BuildRequires: pkgconfig(vips)

%global _description %{expand:
Python binding for libvips.

Programs that use pyvips don't manipulate images directly, instead
they create pipelines of image processing operations building on a
source image. This allows for fast and memory efficient manipulation
of even very large images.}

%description %_description


%package -n python3-pyvips
Summary: %{summary}

%description -n python3-pyvips %_description


%prep
%autosetup -p1 -n pyvips-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyvips


%check
%tox


%files -n python3-pyvips -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt
%{python3_sitearch}/_libvips.abi3.so


%changelog
* Sun Jan 21 2024 Adam Goode <adam@spicenitz.org> - 2.2.2-1
- Initial package of pyvips
